Name:           orange
Version:        0.4
Release:        19%{?dist}
Summary:        Squeeze out installable Microsoft cabinet files

License:        MIT
URL:            http://synce.sourceforge.net/
Source0:        http://downloads.sourceforge.net/synce/liborange-0.4.tar.gz

BuildRequires:  gcc
BuildRequires:  libsynce-devel
BuildRequires:  dynamite-devel
BuildRequires:  unshield-devel >= 0.5.1
BuildRequires:  libgsf-devel
BuildRequires:  file
BuildRequires:  zlib-devel

%description
Orange is a tool and library for squeezing out juicy installable Microsoft
Cabinet Files from self-extracting installers for Microsoft Windows and some
other installer file formats

%package devel
Summary:        Files needed for software development with %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
The %{name}-devel package contains the files needed for development with
%{name}

%prep
%setup -q -n liborange-%{version}

%build
%configure --disable-static --disable-rpath \
--with-libsynce-include=%{_includedir} --with-libsynce-lib=%{_libdir} \
--with-libdynamite-include=%{_includedir} --with-libdynamite-lib=%{_libdir} \
--with-libunshield-include=%{_includedir} --with-libunshield-lib=%{_libdir} \
--with-libgsf

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/liborange.{,l}a

%ldconfig_scriptlets

%files
%doc LICENSE
%{_bindir}/orange
%{_libdir}/liborange.so.*
%{_mandir}/man1/orange.1.gz

%files devel
%{_libdir}/liborange.so
%{_includedir}/liborange*h
%{_libdir}/pkgconfig/liborange.pc

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 08 2009 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.4-1
- version upgrade

* Tue Jun 17 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.3.2-1
- version upgrade

* Mon Dec 03 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.3-5.cvs20051118
- fix BR

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.3-5.cvs20051118
- rebuild for buildid


* Mon Dec 04 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3-4.cvs20051118
- bump

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.3-3.cvs20051118
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 18 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3-2.cvs20051118
- FE6 rebuild
- Fix BR

* Wed Mar 22 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3-1.cvs20051118
- Bump for libgsf
- fix versioning

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3-0.cvs20051118.fc5.2
- Rebuild for Fedora Extras 5

* Thu Dec 15 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3-0.cvs20051118.fc5.1
- rebuild

* Fri Nov 18 2005 Christian Iseli <Christian.Iseli[AT]licr.org> 0.3-0
- grab latest from CVS to use libgsf instead of obsolete libole2

* Tue Sep 27 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3-2
- include patch for new libole2

* Tue Aug 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.3-1
- Initial Release
